import dzn
import dzn.ConverterComponent
import locator
import runtime
import sys

def main():

    loc = locator.Locator()
    run = runtime.Runtime()
    loc.set(run)


    converter = dzn.ConverterComponent(loc)

    def Log(log):
        print(f"Log: {log}")

    # implement interface
    converter.logger.in_port.Log = Log


    # Run the actual object
    converter.api.in_port.Parse("DUPA");


if __name__ == '__main__':
    main()